INTERFACE
SUBROUTINE ACMIXLENZ ( KIDIA,KFDIA,KLON,KTDIA,KLEV,&
 & PAPHI,PAPHIF,&
 & PBLH,PGZ0,PGZ0H,&
 & PLMU,PLMT,&
 & CDLOCK) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KTDIA
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHI(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHIF(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PBLH(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGZ0(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGZ0H(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLMU(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLMT(KLON,0:KLEV)
CHARACTER(LEN=*) ,INTENT(IN) :: CDLOCK
END SUBROUTINE ACMIXLENZ
END INTERFACE
